// Modified for compatibility with Atmosphere 1.0 by Minh Nguyen, 2008.

/**
 * Return an object with the given ID.
 */
function mw_findObjectById(objId) {
	return stageModel.getSolidObject(0).rootPrimitive.find(".../" + objId);
}

function mw_createSurface(url, pos, collide, solid, visible, transparent,
						  velocity) {
	var surface = SceneGroup(url).add();
	if (pos) surface.position = pos;
	if (visible) surface.visible = visible;
	if (transparent) surface.opacity = !transparent + 0;
	
	surface.timestep = function () {
		if (!this.loaded) return;
		this.physicalModel = this.createPhysicalModel(0);
		if (collide) physicalModel.collide = collide;
		if (solid) physicalModel.solid = solid;
		if (velocity) {
			physicalModel.active = true;
			physicalModel.velocity = velocity;
		}
		removeAnimator(this);
	}
	addAnimator(surface);
	
	return surface;
}

maxOldVersion = 0.67;
if (version > maxOldVersion) {
	//Pool animation and code by Michael J. Hall (c) 2001
	//You may freely use this and add what ever textures you want.
	Pool_anchor = mw_findObjectById("Pool_anchor");
	V_timer_anchor_f = mw_findObjectById("Timer_anchor_f");
	V_timer_anchor_a = mw_findObjectById("Timer_anchor_a");
	V_timer_anchor_b = mw_findObjectById("Timer_anchor_b");
	V_timer_anchor_c = mw_findObjectById("Timer_anchor_c");
	V_timer_anchor_d = mw_findObjectById("Timer_anchor_d");
	V_timer_anchor_e = mw_findObjectById("Timer_anchor_e");
	V_timer_anchor_f = mw_findObjectById("Timer_anchor_f");
	//V_timer_anchor_f = getSolidObject(0).rootPrimitive.find(".../Timer_anchor_f");
	
	Pool_sound = Sound("l_fount.wav");
	Pool_sound.active = true;
	Pool_sound.position = Pool_anchor.position;
	Pool_sound.volume = 1;
	Pool_sound.repeats = 0;
	Pool_sound.near = 4;
	Pool_sound.far = 500;
	
	Water_surface_a = mw_createSurface("./Water_surface_a.aer",
									   Pool_anchor.position, 0,
									   false, true, true);
//	Water_surface_a = SceneGroup("./Water_surface_a.aer").add();
//	Water_surface_a.position = Pool_anchor.position;
//	Water_surface_a.collide = 0;
//	Water_surface_a.solid = false;
//	Water_surface_a.visible = true;
//	Water_surface_a.transparent = true;
	
	V_pool = mw_createSurface("./Pool_a.aer", Pool_anchor.position, 2,
							  true, true, false);
//	V_pool = SceneGroup("./Pool_a.aer").add();
//	V_pool.position = Pool_anchor.position;
//	V_pool.collide = 2;
//	V_pool.solid = true;
//	V_pool.visible = true;
//	V_pool.transparent = false;
	
	Water_surface_b = mw_createSurface("./Water_surface_b.aer",
									   Pool_anchor.position, 0,
									   false, false, true);
//	Water_surface_b = SceneGroup("./Water_surface_b.aer").add();
//	Water_surface_b.position = Pool_anchor.position;
//	Water_surface_b.collide = 0;
//	Water_surface_b.solid = false;
//	Water_surface_b.visible = false;
//	Water_surface_b.transparent = true;
	
	Water_surface_c = mw_createSurface("./Water_surface_c.aer",
									   Pool_anchor.position, 0,
									   false, false, true);
//	Water_surface_c = SceneGroup("./Water_surface_c.aer").add();
//	Water_surface_c.position = Pool_anchor.position;
//	Water_surface_c.collide = 0;
//	Water_surface_c.solid = false;
//	Water_surface_c.visible = false;
//	Water_surface_c.transparent = true;
	
	Time_object_a = mw_createSurface("./Time_object_a.aer",
									   V_timer_anchor_a.position, 0,
									   false, false, false, Vector(-7,0,0));
//	Time_object_a = SceneGroup("./Time_object_a.aer").add();
//	Time_object_a.position = V_timer_anchor_a.position;
//	Time_object_a.collide = 0;
//	Time_object_a.solid = false;
//	Time_object_a.visible = false;
//	Time_object_a.velocity = Vector(-7,0,0);
	
	Time_object_a.timestep = function() {
		if (Time_object_a.position.x < V_timer_anchor_b.position.x) {
			Water_surface_a.visible = true;
			Water_surface_b.visible = false;
			Water_surface_c.visible = false;
		}
		if (Time_object_a.position.x < V_timer_anchor_c.position.x) {
			Water_surface_a.visible = false;
			Water_surface_b.visible = true;
			Water_surface_c.visible = false;
		}
		if (Time_object_a.position.x < V_timer_anchor_d.position.x) {
			Water_surface_a.visible = false;
			Water_surface_b.visible = false;
			Water_surface_c.visible = true;
			Time_object_a.position = V_timer_anchor_a.position;
		}
	}
	addAnimator(Time_object_a);
}
