maxOldVersion = 0.67;
if (version <= maxOldVersion) {
	
	// Transport Script v1.0 22 January 2002
	// by Benjamin Jordan (fingerstyle@hotmail.com)
	// www.atmostyle.com
	
	this.main = function () {
		this.parseArguments();
		this.makeButton();
	}
	this.makeButton = function() {
		
		b = Button(this.arg.caption).add();
		b.targetTrans = this.transform;
		b.interval = this.arg.interval;
		b.onClick = function(state) {
			for (var i in animators) if (animators[i] == this) return;
			if (player.transform.toString() != this.targetTrans.toString()) {
				this.elapsed = 0;
				this.oldTransform = player.transform;
			
				this.timestep = function (now, del) {
					this.elapsed += del;
					if (this.elapsed >= this.interval) {
						removeAnimator(this);
						player.transform = this.targetTrans;
					}
					else {
						var ratio = this.elapsed / this.interval;
						var percent = (1 - Math.cos(Math.PI * ratio)) / 2;
						player.transform = this.oldTransform.blend(this.targetTrans, percent);
					}
				}
				addAnimator(this);
			}
		}
	}
	
	this.parseArguments = function () {
		///////////////
		//
		//  Argument parser for Adobe Atmosphere scripts
		//
		//  Rolu, www.roce.org, v.2.1.1, CR 2001-April-16, LU 2001-June-04
		//
		//  This parser parses arguments for a script out of the name of "this",
		//  creates an object "this.arg" and creates variables in "this.arg" for
		//  every argument. If no argument was found in the name of "this", the
		//  values from "this.StandardArguments" are used. See the documentation
		//  that came with this parser for more information. If there was no
		//  documentation, you can find it at www.roce.org. You may copy this
		//  code and use it in your own projects, but you must leave all comments
		//  in, including this text.
		//
		///////////////
		
		// Modify this array to change the standard values.
		this.StandardArguments = new Array("caption", "First Floor", "interval", "3");
		
		// Start of the parser.
		this.ParseArgumentsFrom = function(parsestring, defaults) {
			var tempobj = new Object(), chopped, name, value, quoted, error = false,
				regname = /^\s*(\w+)\s*=/,
				renst = /^\d/,
				renq = /^\s*(\S*)/,
				req = /^\s*("[^"]*")/,
				reempty = /^\s*$/;
			
			while(defaults.length > 1)
				eval("tempobj." + defaults.shift() + "=\"" + defaults.shift() + "\";");
			
			chopped = parsestring;
			
			while(reempty(chopped) == null) {
				quoted = false;
				value = "";
				
				if(regname(chopped) == null) {
					console.print("Parse error: expected a variable name at the left part of \"", chopped, "\".");
					chopped = "";
					error = true;
				}
				else {
					name = regname(chopped)[1];
					chopped = RegExp.rightContext;        
					
		            if(renst(name) != null) {
						console.print("Parse error: argument names can not start with a ", "number (", name, ").");
						error = true;
						chopped = "";
					}
					else {
						value = "";
						
						if(req(chopped) != null) {
							quoted = true;
							
							while(req(chopped) != null) {
								value = value.replace(/"$/, "\\");
								value += req(chopped)[1];
								chopped = RegExp.rightContext;
							}
						}
						else if(renq(chopped) != null) {
							value = renq(chopped)[1];
							chopped = RegExp.rightContext;
						}
						else {
							console.print("Parse error: expected value at the left part of \"", chopped, "\".");
							chopped = "";
							error = true;
						}
					}
				}
				
				value.replace(/\\/g, "\\\\");
				
				if(quoted&&!error) {
					eval("tempobj."+name+"="+value+";");
				}
				else if(!error) {
					eval("tempobj."+name+"=\""+value+"\";");
				}
			}
			
			return tempobj;
		}
		if(typeof(this.name) == "undefined") {
			this.arg=this.ParseArgumentsFrom("", this.StandardArguments)
		}
		else {
			this.arg=this.ParseArgumentsFrom(this.name, this.StandardArguments);
		}
		// End of the argument parser.
	}
	
	this.main();
}